v1.9.19 Sep 22, 2020
=====================

* Updated dynatrace module

* Add go 1.14.9, remove go 1.14.7
  for stack(s) cflinuxfs3
  (https://www.pivotaltracker.com/story/show/174739617)

* Add go 1.15.2, remove go 1.15
  for stack(s) cflinuxfs3
  (https://www.pivotaltracker.com/story/show/174738621)


v1.9.18 Sep 08, 2020
=====================

* Add go 1.14.8, remove go 1.14.6
  for stack(s) cflinuxfs3
  (https://www.pivotaltracker.com/story/show/174605362)

* Add go 1.15.1
  for stack(s) cflinuxfs3
  (https://www.pivotaltracker.com/story/show/174606096)

v1.9.17 Aug 17, 2020
=====================

* Add go 1.15
  for stack(s) cflinuxfs3
  (https://www.pivotaltracker.com/story/show/174298085)


v1.9.16 Aug 11, 2020
=====================

* Update libbuildpack

* Add go 1.14.7, remove go 1.14.5
  for stack(s) cflinuxfs3
  (https://www.pivotaltracker.com/story/show/174216746)

* Add go 1.13.15, remove go 1.13.13
  for stack(s) cflinuxfs3
  (https://www.pivotaltracker.com/story/show/174216834)

* Rebuild go 1.13.14
  for stack(s) cflinuxfs3
  (https://www.pivotaltracker.com/story/show/173843852)

* Rebuild go 1.13.14
  for stack(s) cflinuxfs3
  (https://www.pivotaltracker.com/story/show/173843852)


v1.9.15 Jul 29, 2020
=====================

* Add go 1.14.6, remove go 1.14.5
  for stack(s) cflinuxfs3
  (https://www.pivotaltracker.com/story/show/173843848)

* Add go 1.13.13, remove go 1.13.11
  for stack(s) cflinuxfs3
  (https://www.pivotaltracker.com/story/show/173798613)

* Add go 1.14.5, remove go 1.14.2
  for stack(s) cflinuxfs3
  (https://www.pivotaltracker.com/story/show/173798561)

v1.9.14 Jun 09, 2020
=====================

* Add go 1.14.4, remove go 1.14.1
  for stack(s) cflinuxfs3
  (https://www.pivotaltracker.com/story/show/173120307)

* Add go 1.13.12, remove go 1.13.10
  for stack(s) cflinuxfs3
  (https://www.pivotaltracker.com/story/show/173119578)


v1.9.13 May 19, 2020
=====================

* Add go 1.13.11, remove go 1.13.9
  for stack(s) cflinuxfs3
  (https://www.pivotaltracker.com/story/show/172851578)

v1.9.12 Apr 30, 2020
=====================

* Add go 1.14.2, remove go 1.14
  for stack(s) cflinuxfs3
  (https://www.pivotaltracker.com/story/show/172236465)


v1.9.11 Apr 13, 2020
=====================

* Add go 1.13.10, remove go 1.13.8
  for stack(s) cflinuxfs3
  (https://www.pivotaltracker.com/story/show/172236459)


v1.9.10 Apr 06, 2020
=====================

* Remove go 1.12.X version line
  (https://www.pivotaltracker.com/story/show/171525334)


v1.9.9 Mar 24, 2020
====================

* Add go 1.13.9, remove go 1.13.7
  for stack(s) cflinuxfs3
  (https://www.pivotaltracker.com/story/show/171889891)

* Add go 1.14.1
  for stack(s) cflinuxfs3
  (https://www.pivotaltracker.com/story/show/171889580)


v1.9.8 Mar 16, 2020
====================

* Add go 1.14
  for stack(s) cflinuxfs3
  (https://www.pivotaltracker.com/story/show/171711278)


v1.9.7 Feb 18, 2020
====================

* Add go 1.13.8, remove go 1.13.6
  for stack(s) cflinuxfs3
  (https://www.pivotaltracker.com/story/show/171247122)

* Add go 1.12.17, remove go 1.12.15
  for stack(s) cflinuxfs3
  (https://www.pivotaltracker.com/story/show/171247123)


v1.9.6 Feb 03, 2020
====================

* Fixes dynatrace integration tests
  (https://www.pivotaltracker.com/story/show/170073530)

* Merge pull request #97 from rbamberger/develop
  Update libbuildpack-dynatrace

* Add go 1.12.16, remove go 1.12.14
  for stack(s) cflinuxfs3
  (https://www.pivotaltracker.com/story/show/170954572)

* Add go 1.13.7, remove go 1.13.5
  for stack(s) cflinuxfs3
  (https://www.pivotaltracker.com/story/show/170954570)


v1.9.5 Jan 15, 2020
====================

* Add go 1.13.6, remove go 1.13.4
  for stack(s) cflinuxfs3
  (https://www.pivotaltracker.com/story/show/170634866)

* Add go 1.12.15, remove go 1.12.13
  for stack(s) cflinuxfs3
  (https://www.pivotaltracker.com/story/show/170634865)


v1.9.4 Dec 09, 2019
====================

* Add go 1.13.5, remove go 1.13.3
  for stack(s) cflinuxfs3
  (https://www.pivotaltracker.com/story/show/170120160)

* Add go 1.12.14, remove go 1.12.12
  for stack(s) cflinuxfs3
  (https://www.pivotaltracker.com/story/show/170118127)

* Add replace directive to go.mod, to account for new Go Mod behavior
  * One of our fixtures uses a fake go module, and go mod can now detect that module, which caused some issues in compilation. We explicitely add it now to the parent go.mod, in order to ensure the modules are accounted for.
  (https://www.pivotaltracker.com/story/show/168519653)

* Update to go 1.13
  (https://www.pivotaltracker.com/story/show/169868686)

* Merge pull request #96 from squeedee/patch-1
  Improve run example in markdown so it's readable

* Update call to InternetTraffic to reflect new signature


v1.9.3 Nov 04, 2019
====================

* Add go 1.13.4, remove go 1.13.1
  for stack(s) cflinuxfs3
  (https://www.pivotaltracker.com/story/show/169495363)

* Add go 1.12.13, remove go 1.12.10
  for stack(s) cflinuxfs3
  (https://www.pivotaltracker.com/story/show/169495368)

v1.9.2 Oct 23, 2019
====================

* Add go 1.12.12, remove go 1.12.9
  for stack(s) cflinuxfs3
  (https://www.pivotaltracker.com/story/show/169220374)

* Add go 1.13.3, remove go 1.13.2
  for stack(s) cflinuxfs3
  (https://www.pivotaltracker.com/story/show/169220373)

* Add go 1.13.2, remove go 1.13
  for stack(s) cflinuxfs3
  (https://www.pivotaltracker.com/story/show/169214746)

v1.9.1 Oct 04, 2019
====================

* Add go 1.13.1
  for stack(s) cflinuxfs3
  (https://www.pivotaltracker.com/story/show/168771139)

* Add go 1.12.10, remove go 1.12.7
  for stack(s) cflinuxfs3
  (https://www.pivotaltracker.com/story/show/168770339)

* Adds support for multiple ldflags in buildpack.yml
  (https://www.pivotaltracker.com/story/show/167839696)


v1.9.0 Sep 11, 2019
=====================

* Removes cflinuxfs2 dependencies from manifest
  (https://www.pivotaltracker.com/story/show/166710430)

* Remove 1.11
  (https://www.pivotaltracker.com/story/show/168317197)

* Add go 1.13
  for stack(s) cflinuxfs2, cflinuxfs3
  (https://www.pivotaltracker.com/story/show/168317282)



v1.8.43 Aug 20, 2019
=====================

* Add go 1.12.9, remove go 1.12.6
  for stack(s) cflinuxfs2, cflinuxfs3
  (https://www.pivotaltracker.com/story/show/167930612)
  (https://www.pivotaltracker.com/story/show/167880606)

* Add go 1.11.13, remove go 1.11.11
  for stack(s) cflinuxfs2, cflinuxfs3
  (https://www.pivotaltracker.com/story/show/167880603)

v1.8.42 Jul 16, 2019
=====================

* Add glide 0.13.3, remove glide 0.13.2
  for stack(s) cflinuxfs2, cflinuxfs3
  (https://www.pivotaltracker.com/story/show/167202576)

* Add go 1.12.7, remove go 1.12.5
  for stack(s) cflinuxfs2, cflinuxfs3
  (https://www.pivotaltracker.com/story/show/167155333)

* Add go 1.11.12, remove go 1.11.10
  for stack(s) cflinuxfs2, cflinuxfs3
  (https://www.pivotaltracker.com/story/show/167155347)

* Add dep 0.5.4, remove dep 0.5.3
  for stack(s) cflinuxfs2, cflinuxfs3
  (https://www.pivotaltracker.com/story/show/167006586)

* Add error logs if findMainPackageName errors out
  (https://www.pivotaltracker.com/story/show/167105792)

v1.8.41 Jun 19, 2019
=====================

* change deprecation dates to the first of the month
  (https://www.pivotaltracker.com/story/show/163879845)

* Add deprecation dates for go
  - Go deprecates the n-2 version line and releases every 6 months
    so we are setting these dates as 12 months after release
  (https://www.pivotaltracker.com/story/show/165453016)

* Remove go 1.10
  (https://www.pivotaltracker.com/story/show/165453016)

* Add go 1.12.6, remove go 1.12.4
  for stack(s) cflinuxfs2, cflinuxfs3
  (https://www.pivotaltracker.com/story/show/166625553)

* Add go 1.11.11, remove go 1.11.9
  for stack(s) cflinuxfs2, cflinuxfs3
  (https://www.pivotaltracker.com/story/show/166625568)

* Support for Dynatrace monitoring on the Go buildpack


v1.8.40 May 15, 2019
=====================

* Add dep 0.5.3, remove dep 0.5.1
  for stack(s) cflinuxfs2, cflinuxfs3
  (https://www.pivotaltracker.com/story/show/165978044)

* Add go 1.12.5, remove go 1.12.2
  for stack(s) cflinuxfs2, cflinuxfs3
  (https://www.pivotaltracker.com/story/show/165844549)

* Add go 1.11.10, remove go 1.11.7
  for stack(s) cflinuxfs2, cflinuxfs3
  (https://www.pivotaltracker.com/story/show/165844023)

* update install_go.sh script to use go 1.12.4

v1.8.39 Apr 23, 2019
=====================

* Remove warning logs causing bosh cli error

* Add go 1.12.4, remove go 1.12.1
  for stack(s) cflinuxfs2, cflinuxfs3
  (https://www.pivotaltracker.com/story/show/165301974)

* Add go 1.11.9, remove go 1.11.6
  for stack(s) cflinuxfs2, cflinuxfs3
  (https://www.pivotaltracker.com/story/show/165301978)

v1.8.38 Apr 08, 2019
=====================

* Add go 1.11.7, remove go 1.11.5
  for stack(s) cflinuxfs2, cflinuxfs3
  (https://www.pivotaltracker.com/story/show/165160506)

* Add go 1.12.2, remove go 1.12
  for stack(s) cflinuxfs2, cflinuxfs3
  (https://www.pivotaltracker.com/story/show/165160491)

* Update README with correct packager installation
  (https://www.pivotaltracker.com/story/show/164889000)

v1.8.37 Apr 02, 2019
=====================

* Point GOCACHE to app cache
  (https://www.pivotaltracker.com/story/show/162973383)

* Add depreciation warning for Appdynamics if multibuildpack not in use
  (https://github.com/Appdynamics/go-buildpack)

v1.8.36 Mar 20, 2019
=====================

* Add go 1.12.1
  for stack(s) cflinuxfs2, cflinuxfs3
  (https://www.pivotaltracker.com/story/show/164646722)

* Add go 1.11.6, remove go 1.11.4
  for stack(s) cflinuxfs2, cflinuxfs3
  (https://www.pivotaltracker.com/story/show/164646729)

* Add dep 0.5.1, remove dep 0.5.0
  for stack(s) cflinuxfs2, cflinuxfs3
  (https://www.pivotaltracker.com/story/show/164527522)

* Remove go 1.8.x and 1.9.x, add go 1.12.x
  (https://www.pivotaltracker.com/story/show/163594716)

* Add go 1.12
  for stack(s) cflinuxfs2, cflinuxfs3
  (https://www.pivotaltracker.com/story/show/164497998)

v1.8.35 Mar 01, 2019
=====================

* Add source and source_sha256 to buildpack manifest
  (https://www.pivotaltracker.com/story/show/163711928)

v1.8.34 Feb 19, 2019
=====================

* Remove all GB-package-manager related logic
  (https://www.pivotaltracker.com/story/show/154881427)

* Update go to 1.11.5 for install_go
  (https://www.pivotaltracker.com/story/show/163701450)

v1.8.33 Jan 28, 2019
=====================

* Add go 1.11.5, remove go 1.11.2
  for stack(s) cflinuxfs2, cflinuxfs3
  (https://www.pivotaltracker.com/story/show/163439400)

* Add go 1.10.8, remove go 1.10.5
  for stack(s) cflinuxfs2, cflinuxfs3
  (https://www.pivotaltracker.com/story/show/163439411)


v1.8.32 Jan 23, 2019
=====================

* Use built version of go 1.11.4 in online unbuilt/URL buildpack
  (https://www.pivotaltracker.com/story/show/163089977)

* Fix GO_INSTALL_PACKAGE_SPEC for go module based apps
  (https://www.pivotaltracker.com/story/show/163204149)

v1.8.31 Jan 11, 2019
=====================

* Ignore GOPACKAGENAME when go modules are used
  (https://www.pivotaltracker.com/story/show/162973859)

* Detect the usage vendored modules with go.mod, and set GOFLAGS accordingly
  (https://www.pivotaltracker.com/story/show/162689261)

* Detect the usage of go modules, and set GO111MODULES accordingly
  (https://www.pivotaltracker.com/story/show/162689261)


v1.8.30 Dec 17, 2018
=====================

* Add go 1.10.7, remove go 1.10.4
  for stack(s) cflinuxfs2, cflinuxfs3
  (https://www.pivotaltracker.com/story/show/162679832)

* Add go 1.11.4, remove go 1.11.1
  for stack(s) cflinuxfs2, cflinuxfs3
  (https://www.pivotaltracker.com/story/show/162679831)

v1.8.29 Nov 07, 2018
=====================

* Set buildpack when pushing twice
      - Pushing with --no-start fails on the second push when no buildpack
        is specified in PCF 1.12, our new lts version

* Add go 1.11.2, remove go 1.11
  for stack(s) cflinuxfs2, cflinuxfs3
  (https://www.pivotaltracker.com/story/show/161693550)

* Add go 1.10.5, remove go 1.10.3
  for stack(s) cflinuxfs2, cflinuxfs3
  (https://www.pivotaltracker.com/story/show/161693545)

v1.8.28 Oct 12, 2018
=====================

* Remove go 1.6, 1.7. Make 1.10 the default version
  (https://www.pivotaltracker.com/story/show/159859847)

* Add go 1.11.1
  for stack(s) cflinuxfs2, cflinuxfs3
  (https://www.pivotaltracker.com/story/show/160932747)

* Add glide 0.13.2, remove glide 0.13.1
  for stack(s) cflinuxfs2, cflinuxfs3
  (https://www.pivotaltracker.com/story/show/160806874)

* Build supply and finalize with GOOS=linux

v1.8.27 Sep 07, 2018
=====================

* Add go 1.11
  for stacks cflinuxfs2, cflinuxfs3
  (https://www.pivotaltracker.com/story/show/160104581)

* Add go 1.10.4, remove go 1.10.2
  for stacks cflinuxfs2, cflinuxfs3
  (https://www.pivotaltracker.com/story/show/160034937)

v1.8.26 Jul 27, 2018
=====================

* Rebuild go 1.6.3, 1.6.4, 1.7.6, 1.8.7, 1.9.7
  for stacks cflinuxfs2, cflinuxfs3

* Rebuild glide 0.13.1
  for stacks cflinuxfs2, cflinuxfs3

* Add dep 0.5.0, remove dep 0.4.1
  for stacks cflinuxfs2, cflinuxfs3

* Rebuild godep 80
  for stacks cflinuxfs2, cflinuxfs3

v1.8.25 Jun 25, 2018
=====================

* Merge pull request #63 from Appdynamics/master
  (https://www.pivotaltracker.com/story/show/157826834)

* Add glide 0.13.1
  (https://www.pivotaltracker.com/story/show/158474707)

* Add godep 80
  (https://www.pivotaltracker.com/story/show/158428171)

* Add dep 0.4.1
  (https://www.pivotaltracker.com/story/show/158469869)

v1.8.24 Jun 19, 2018
=====================

* Add go 1.10.3, remove go 1.10.1
  (https://www.pivotaltracker.com/story/show/158268950)

* Add go 1.9.7, remove go 1.9.5
  (https://www.pivotaltracker.com/story/show/158268966)

v1.8.23 Jun 04, 2018
=====================

* Support packaging with associated stacks
  (https://www.pivotaltracker.com/story/show/153256959)

v1.8.22 May 08, 2018
=====================

* Add go 1.9.6, remove go 1.9.4
  (https://www.pivotaltracker.com/story/show/157260760)

* Add go 1.10.2, remove go 1.10
  (https://www.pivotaltracker.com/story/show/157256879)

v1.8.21 Apr 09, 2018
=====================

* Add go 1.9.5, remove go 1.9.3
  (https://www.pivotaltracker.com/story/show/156622355)

* Add go 1.10.1
  (https://www.pivotaltracker.com/story/show/156377959)

* Verify Buildpacks should be compatible with cf CLI versions that push symlinks
  (https://www.pivotaltracker.com/story/show/155955184)

v1.8.20 Mar 09, 2018
=====================

* Use manifest cache downloads
  (https://www.pivotaltracker.com/story/show/155405429)

* Document new buildpack-packager build command
  (https://www.pivotaltracker.com/story/show/155223266)

v1.8.19 Feb 20, 2018
=====================

* Add go 1.10
  (https://www.pivotaltracker.com/story/show/155326828)

v1.8.18 Feb 08, 2018
=====================

* Add go 1.8.7, 1.9.4. Remove 1.8.5, 1.9.2
  (https://www.pivotaltracker.com/story/show/155013831)

* Enable manifest override yml
  (https://www.pivotaltracker.com/story/show/153614649)

v1.8.17 Jan 29, 2018
=====================

* Add godep v80, remove godep v79
  (https://www.pivotaltracker.com/story/show/154691830)

* Add dep v0.4.1, remove dep v0.3.2
  (https://www.pivotaltracker.com/story/show/154619283)

v1.8.16 Jan 23, 2018
=====================

* Add go 1.8.6, Remove 1.8.4
  (https://www.pivotaltracker.com/story/show/154548286)

* Add go 1.9.3, Remove 1.9.1
  (https://www.pivotaltracker.com/story/show/154539512)

v1.8.15 Dec 07, 2017
=====================

* Start Command uses relative path
  (https://www.pivotaltracker.com/story/show/153348742)

v1.8.14 Nov 21, 2017
=====================

* Add glide v0.13.1, remove glide v0.13.0
  (https://www.pivotaltracker.com/story/show/152655941)

v1.8.13 Oct 31, 2017
=====================

* Add go 1.9.2, 1.8.5, Remove 1.9.0, 1.8.3
  (https://www.pivotaltracker.com/story/show/152293707)
  (https://www.pivotaltracker.com/story/show/152296342)

* Verify dependency downloads using sha256 instead of md5
  (https://www.pivotaltracker.com/story/show/151913767)
  (https://github.com/cloudfoundry/buildpack-packager/issues/17)

* Store profile.d dir outside app directory on recent BAL
  (https://www.pivotaltracker.com/story/show/151381713)

v1.8.12 Oct 23, 2017
=====================

* Add dep v0.3.2, remove dep v0.3.1
  (https://www.pivotaltracker.com/story/show/152105703)

v1.8.11 Oct 06, 2017
=====================

* Add go 1.9.1, 1.8.4, Remove 1.8.1
  (https://www.pivotaltracker.com/story/show/151696804)

v1.8.10 Oct 03, 2017
=====================

* Add glide v0.13.0, remove glide v0.12.3
  (https://www.pivotaltracker.com/story/show/151551564)

v1.8.9 Sep 27, 2017
====================

* Adds support for dep dependency management tool
  (https://www.pivotaltracker.com/story/show/149822182)

* Add dep v0.3.1
  (https://www.pivotaltracker.com/story/show/151201956)

v1.8.8 Sep 05, 2017
====================

* Improve comparison of Go package manager versions
  (https://www.pivotaltracker.com/story/show/149863408)

v1.8.7 Aug 28, 2017
====================

* Add go1.9
  (https://www.pivotaltracker.com/story/show/150535442)

v1.8.6 Jul 31, 2017
====================

* Amend license
  (https://www.pivotaltracker.com/story/show/147439591)

* Fix readme links
  (https://www.pivotaltracker.com/story/show/147615323)

* Change go default version to floating wildcard (e.g. 1.x)
  (https://www.pivotaltracker.com/story/show/146106141)

v1.8.5 Jun 06, 2017
====================

* Convert to online-only distribution.
  - See: http://cf-dev.70369.x6.nabble.com/cf-dev-Discontinuing-Distribution-of-the-Offline-Buildpacks-td6732.html
  (https://www.pivotaltracker.com/story/show/146375487)

v1.8.4 May 26, 2017
====================

* Add go1.8.3, remove go1.8.2
  (https://www.pivotaltracker.com/story/show/146088521)
  (https://www.pivotaltracker.com/story/show/145956653)

* Add go1.8.2 and go1.7.6, remove go1.8.0 and go1.7.4
  (https://www.pivotaltracker.com/story/show/145956653)

* Update buildpack to define its own interfaces
  (https://www.pivotaltracker.com/story/show/145065635)


v1.8.3 May 18, 2017
====================

* Change default go version from 1.7.5 to 1.8.1
  (https://www.pivotaltracker.com/story/show/143721781)

* Add link to EOL warning for Go
  (https://www.pivotaltracker.com/story/show/144943201)

* Ensure .profile.d scripts and hooks are compatible
  (https://www.pivotaltracker.com/story/show/145118801)

v1.8.2 May 08, 2017
====================

* Fix bug when GO_INSTALL_TOOLS_IN_IMAGE and GO_SETUP_GOPATH_IN_IMAGE are both set
  (https://www.pivotaltracker.com/story/show/143659615)

* Add Multi buildpack support
  (https://www.pivotaltracker.com/story/show/142852047)

v1.8.1 Apr 12, 2017
====================

* Do not error if cache dir does not exist
  (https://www.pivotaltracker.com/story/show/143527395)

* Add go 1.8.1
  (https://www.pivotaltracker.com/story/show/143333553)

* Precompile uncached buildpack
  Previously only the cached buildpack compiled
  (https://www.pivotaltracker.com/story/show/143040749)


v1.8.0 Apr 04, 2017
=====================

* Don't pass verbose flag to 'go install'
  (https://www.pivotaltracker.com/story/show/142723241)

* Implement buildpack in Go
  (https://www.pivotaltracker.com/story/show/142083735)

* Add support for supply buildpacks
  (https://www.pivotaltracker.com/story/show/141616657)

v1.7.19 Feb 24, 2017
=====================

* Add go1.8.0
  (https://www.pivotaltracker.com/story/show/140085065)

* Remove go 1.5 support
  (https://www.pivotaltracker.com/story/show/137306167)

* Add godep v79, remove godep v78
  (https://www.pivotaltracker.com/story/show/138883943)

* Add EOL dates for go
  (https://www.pivotaltracker.com/story/show/137374307)

v1.7.18 Jan 30, 2017
=====================

* Add go1.7.5, remove go1.7.3
  - make go1.7.5 the default version
  (https://www.pivotaltracker.com/story/show/138452757)

* Add godep v78, remove godep v76
  (https://www.pivotaltracker.com/story/show/137992733)
  (https://www.pivotaltracker.com/story/show/137618325)

v1.7.17 Jan 10, 2017
=====================

* Add warning if downloaded dependency is not the latest patch version for a
given major and minor version
  (https://www.pivotaltracker.com/story/show/134863437)

* Add warning if buildpack version used to stage an app changes
  (https://www.pivotaltracker.com/story/show/135234395)

* Add godep v76, remove godep v75
  (https://www.pivotaltracker.com/story/show/137372669)

v1.7.16 Dec 05, 2016
=====================

* Add go 1.6.4, remove go 1.6.2
  (https://www.pivotaltracker.com/story/show/135369803)

* Add go 1.7.4, remove go 1.7.1
  (https://www.pivotaltracker.com/story/show/135369803)

* Change default go version from 1.6.3 to 1.7.4
  (https://www.pivotaltracker.com/story/show/132678773)
  (https://www.pivotaltracker.com/story/show/135369803)

* Rebuild and change path for go, godep, and glide binaries
  - We identified a potential, but unlikely, attack vector in our continuous
    integration system. Our own auditing strongly suggests that this attack
    vector was not taken advantage of. However, out of an abundance of caution,
    we are rebuilding all buildpack dependencies that we maintain.

v1.7.15 Nov 09, 2016
=====================

* Ensure all downloaded binaries have checksums verified
  (https://www.pivotaltracker.com/story/show/128099189)

* Add godep v75, remove godep v74
  (https://www.pivotaltracker.com/story/show/133766813)

v1.7.14 Oct 19, 2016
=====================

* go-buildpack BOSH release now available on bosh.io at
  http://bosh.io/releases/github.com/cloudfoundry/go-buildpack-release
  (https://www.pivotaltracker.com/story/show/130040305)

* Add go 1.7.3, remove go 1.7
  - go 1.7.2 is a faulty release and should not be used:
    https://github.com/golang/go/blob/release-branch.go1.7/doc/devel/release.html#L52-L56
  (https://www.pivotaltracker.com/story/show/132626707)
  (https://www.pivotaltracker.com/story/show/132774043)

* Add glide v0.12.3, remove glide v0.11.1
  (https://www.pivotaltracker.com/story/show/129540793)

* Do not glide install if vendor with subdirs present
  (https://www.pivotaltracker.com/story/show/129540793)

* Use `godep go install` if a go1.6 app has a Godeps/Godeps.json and a
  Godeps/_workspace directory
  (https://www.pivotaltracker.com/story/show/131074273)

* Copy Go toolchain into container if GO_INSTALL_TOOLS_IN_IMAGE is set
  (https://www.pivotaltracker.com/story/show/131074273)

* Set $GOPATH in the runtime container if GO_SETUP_GO_PATH_IN_IMAGE is set
  (https://www.pivotaltracker.com/story/show/131074273)

v1.7.13 Sep 19, 2016
=====================

* Add go 1.7.1
  (https://www.pivotaltracker.com/story/show/129969725)

* Remove reference to Heroku docs in staging output
  (https://www.pivotaltracker.com/story/show/127931269)

v1.7.12 Sep 01, 2016
=====================

* Add go 1.7
  (https://www.pivotaltracker.com/story/show/128376229)

* Respect GO_INSTALL_PACKAGE_SPEC environment variable for native vendoring
  (https://www.pivotaltracker.com/story/show/128292483)

* Filter credentials from dependency urls printed during staging
  (https://www.pivotaltracker.com/story/show/127362787)

* Use go binaries built from source by Cloud Foundry
  (https://www.pivotaltracker.com/story/show/127362389)

v1.7.11 Jul 27, 2016
=====================

* Add glide v0.11.1, remove glide v0.11.0
  (https://www.pivotaltracker.com/story/show/126786257)

* Add default_versions support to Go buildpack
  - Add default_versions section to manifest.yml
  - Modify bin/compile to use default_version_for script
  (https://www.pivotaltracker.com/story/show/126420801)

v1.7.10 Jul 19, 2016
=====================

* Add go 1.6.3, remove go 1.6.1
  - go 1.6.3 fixes CVE-2016-5386
  (https://www.pivotaltracker.com/story/show/126516829)
  (https://www.pivotaltracker.com/story/show/126592107)

* Make buildpacks.cloudfoundry.org the default url for buildpack dependencies
  (https://www.pivotaltracker.com/story/show/121757949)

v1.7.9 Jul 08, 2016
====================

* Add glide package manager support and add glide v0.11.0
  (https://www.pivotaltracker.com/story/show/121673251)
  (https://www.pivotaltracker.com/story/show/124886541)

* Remove upstream vendored virtualenv, mercurial, bzr, concurrency.sh
  artifacts
  (https://www.pivotaltracker.com/story/show/122197731)

* Update godep to v74
  artifacts
  (https://www.pivotaltracker.com/story/show/120737515)

v1.7.8 May 10, 2016
====================

* Update Godep to v65
  (https://www.pivotaltracker.com/story/show/119235111)

* Remove fail case for govendor
  the bin/compile script now does not fail if it detects govendor,
  because govendor should comply with native go vendoring in
  (https://www.pivotaltracker.com/story/show/119184383)

* Allow go native vendoring to skip `vendor/` directory
  Detect now has an "extra" option to allow an app with `.go` files and
  $GOPACKAGENAME even if it is missing a vendor directory
  (https://www.pivotaltracker.com/story/show/118519961)


v1.7.7 Apr 26, 2016
====================

* Remove go1.4
  (https://www.pivotaltracker.com/story/show/117556513)

v1.7.6 Apr 22, 2016
====================

* Allow deploying of go apps without a Procfile
  (https://www.pivotaltracker.com/story/show/117929711)

* Add go 1.6.2, remove go 1.6
  (https://www.pivotaltracker.com/story/show/117966791)

* Allow native go vendoring
  (https://www.pivotaltracker.com/story/show/117638407)

commit e7a51484243a979d2534d1b27d63d8a7ede80581
Author: David Jahn <david.a.jahn@gmail.com>
Date:   Tue Apr 19 12:07:34 2016 -0400

* Print a warning when the app uses go1.6 with vendor experiment and doesn't have a vendor dir
  (https://www.pivotaltracker.com/story/show/117840949)

* Fix bug where apps using go1.6 and ldflags could not stage
  (https://www.pivotaltracker.com/story/show/117841169)

v1.7.5 Apr 13, 2016
====================

* Add godep v62, remove godep v61
  (https://www.pivotaltracker.com/story/show/117258211)

* Add go 1.5.4, go 1.6.1, remove go 1.5.2
  (https://www.pivotaltracker.com/story/show/117405095)

v1.7.4 Apr 11, 2016
====================

* Bump Godep version to 0.61
  (https://www.pivotaltracker.com/story/show/117078185)

* Uses buildmode=pie for go 1.6+
  (https://www.pivotaltracker.com/story/show/113966315)

v1.7.3 Feb 29, 2016
====================

* Update godeps to v55
  (https://www.pivotaltracker.com/story/show/114349455)

* Add golang 1.6 and drop golang 1.4.1
  (https://www.pivotaltracker.com/story/show/114349455)

* Merge remote-tracking branch 'upstream/master' into develop
  (https://github.com/cloudfoundry/go-buildpack/commit/06a5e8993e2db5bfa229d0f291caf2da1ab2ca18)

* Merge pull request #31 from d-lorenc/develop
  (https://github.com/cloudfoundry/go-buildpack/pull/31)

  * fix typo

* Merge pull request #1 from d-lorenc/d-lorenc-patch-1
  (https://github.com/cloudfoundry/go-buildpack/pull/29)

  * fix typo

* Merge remote-tracking branch 'upstream/master' into develop
  (https://github.com/cloudfoundry/go-buildpack/commit/22ef9108b89bac4813e033854af0b5a1484cabb)

* Merge remote-tracking branch 'upstream/master' into develop
  (https://github.com/cloudfoundry/go-buildpack/commit/964e433b37498d52d6ce69dec3e792e6d29c4bc9)


* Merge remote-tracking branch 'upstream/master' into develop
  (https://github.com/cloudfoundry/go-buildpack/commit/8319c0e0d24641b4885d5d56c522ebb853f36498)

* Remove deprecation warnings from compile script.
  (https://www.pivotaltracker.com/story/show/111837573)

* Better support for go1.6*
  (https://github.com/cloudfoundry/go-buildpack/commit/0a5492cb3e0d19ee688f1d6e353948300d95ac3b)

  * Support GO15VENDOREXPERIMENT=0
  * go.1.6 uses newer -X $GO_LINKER_SYMBOL=$GO_LINKER_VALUE ldflag, like 1.5

v1.7.2 Jan 18, 2016
====================

* Add support for Go patch version wildcard matching.
  (https://www.pivotaltracker.com/story/show/106117500)

* Add support for go1.5.3 and remove support for go1.5.1
  (https://www.pivotaltracker.com/story/show/111646892)

* Updated to Godep v45.
  (https://www.pivotaltracker.com/story/show/110776726)

v1.7.1 Dec 17, 2015
====================

* Updated Godeps to v39.
  (https://www.pivotaltracker.com/story/show/110324408)

* Removed manifest-including-unsupported
  (https://www.pivotaltracker.com/story/show/109537822)

* Add support go 1.5.2, remove support 1.5
  (https://www.pivotaltracker.com/story/show/109408302)

* Merge remote-tracking branch 'upstream/master' into develop
  (https://www.pivotaltracker.com/story/show/109618254)

v1.7.0 Nov 16, 2015
====================

* Remove broken .godir support.
  (https://www.pivotaltracker.com/story/show/108010602)

* Developers should be given detailed, helpful instructions when they attempt
  to stage an application whose dependency is not found in the manifest.
  (https://www.pivotaltracker.com/story/show/107939104)

* Drop support for golang 1.2.x and 1.3.x
  (https://www.pivotaltracker.com/story/show/105512206)


v1.6.3 Oct 16, 2015
====================

* adding support for Go 1.4.1 for upgrade paths
  (https://www.pivotaltracker.com/story/show/105722210)

* Adding Godep binary to the manifest
  (https://www.pivotaltracker.com/story/show/103326142)

* use new linker -X option format for go1.5

v1.6.2 Sep 24, 2015
====================

* Add support for Go `1.4.3` and removed support for Go `1.4.1`
(https://www.pivotaltracker.com/story/show/103969132)
   
   Go `1.4.3` is a security update for the following CVEs:
   
	* [CVE-2015-5739](https://go-review.googlesource.com/#/c/11772/)
	  Content Length treated as valid header
	
	* [CVE-2015-5740](https://go-review.googlesource.com/#/c/11810/)
	  Double content-length headers does not return 400 error
	
	* [CVE-2015-5741](https://go-review.googlesource.com/#/c/11810/)
	    Additional hardening, not sending Content-Length w/Transfer-Encoding

v1.6.1 Sep 14, 2015
====================

* Adding support for Go 1.5.1
  (https://www.pivotaltracker.com/story/show/102971246)

* Update default GOVERSION to 1.5.1 for .godir.
  (https://www.pivotaltracker.com/story/show/103219562)


v1.6.0 Aug 20, 2015
====================

* Output buildpack information in detect script.
  (https://www.pivotaltracker.com/story/show/100757820)

* Add go 1.5.
  Remove go 1.1.x, which hasn't been updated since August 2013.
  (https://www.pivotaltracker.com/story/show/101620562)


v1.5.0 Jul 24, 2015
====================

* Basic Godeps/Godeps.json validation

  Note that ./Godeps and .godir are deprecated.

  (See README.md for additional notes about the Godeps upgrade.)

* Include current stack in unsupported stack message
  (https://www.pivotaltracker.com/story/show/98579464)

* Remove vendored python interpreter
  (https://www.pivotaltracker.com/story/show/94532204)

* Defaults for GOMAXPROCS

* Update godep

  Includes at least:
  * 64k line fixes
  * godep diff
  * Cross compiled with go 1.4.2 / gox (statically linked)

* GOPATH "g" -> "go"

v1.4.0 Jun 24, 2015
====================

* Remove lucid64 references from manifest.yml
  (https://www.pivotaltracker.com/story/show/96135874)

* Alert user about incompatible stack usage
  (https://www.pivotaltracker.com/story/show/96590164)

* Fail staging on missing resource
  (https://www.pivotaltracker.com/story/show/95737420)

* Update Godeps instructions
  (https://www.pivotaltracker.com/story/show/94986104)

v1.3.1 May 08, 2015
====================

* Bump buildpack-packager to support custom buildpack manifests.
  (https://www.pivotaltracker.com/story/show/93717296)

v1.3.0 Apr 22, 2015
====================

* Deprecated many go versions. Currently supported versions:
 	(https://www.pivotaltracker.com/story/show/90697198)
	* 1.4.2
	* 1.4.1
	* 1.3.3
	* 1.3.2
	* 1.2.2
	* 1.2.1
	* 1.1.2
	* 1.1.1

* Merge upstream changes from Heroku up to SHA 98f37cce4924567a3e049dc36167e43c8c25f8f8
	(https://www.pivotaltracker.com/story/show/90537736)

v1.2.0 Mar 17, 2015
====================

* Support cflinuxfs2 stack.
	(https://www.pivotaltracker.com/story/show/88174336)

* Reference git repos by https in cf.Gemfile
  (https://www.pivotaltracker.com/story/show/90365848)

* Add checksum to `manifest.yml` for all binaries.
  (https://www.pivotaltracker.com/story/show/89503120)


commit 8aea0e7cbccdb4f4315d5d4ddd79e39be77389cf
Author: JT Archie and Sai To Yeung <pair+jarchie+syeung@pivotal.io>
Date:   Mon Mar 16 11:23:02 2015 -0400

    update Gemfile to https:// [#90365848]

commit 0084eeaef667ead48e60275bae6831a309bd3fe3
Author: JT Archie <pair+jarchie@pivotal.io>
Date:   Thu Mar 12 15:57:01 2015 -0400

    Bump buildpack-packager [#90196104]

commit 3f65030e4a4f8514a14e84816fd745d3024d5898
Author: Sai To Yeung <pair+syeung@pivotal.io>
Date:   Thu Mar 12 10:00:34 2015 -0400

    Add test for 2 digit go versions

commit 8949f2ef82102cac0cfb3099e79cc709838cdc1d
Author: Jared Gordon and Sai To Yeung <pair+jgordon+syeung@pivotal.io>
Date:   Thu Mar 12 09:26:34 2015 -0400

    Further fix 2 digit versions with new compile extensions
    
    [#90128514]

commit 989e6e5ad00c2e0053a7df44956e0f686a379a41
Author: Jared Gordon and Sai To Yeung <pair+jgordon+syeung@pivotal.io>
Date:   Wed Mar 11 17:34:23 2015 -0400

    Fix failures on go versions with only 2 digits
    
    [#90128514]

commit 76c21c5c751717e2d851d6ebc4dd6c6332a3f351
Author: Anthony Emengo <pair+aemengo@pivotal.io>
Date:   Tue Mar 10 11:16:35 2015 -0400

    Migrate relevant dependencies to cloudfoundry-incubator
    
    [#89014508]

commit 48efa6206cb1fe3401d1996fb876d5ea72b6fc7f
Author: Colin Jackson and Rasheed Abdul-Aziz <pair+crawsible+squeedee@pivotal.io>
Date:   Fri Mar 6 16:12:02 2015 -0500

    Update compile extensions
    
    [#89756284]

commit 285b7c3b2aa76c38f827047af9b29e4ab0f24c71
Author: Anthony Emengo and Jared Gordon <pair+aemengo+jgordon@pivotal.io>
Date:   Thu Mar 5 17:10:31 2015 -0500

    Add md5 checksums to all dependencies
    
    [#89503120]

commit f06212fc42c706ebda23fce35c348da0717afcdc
Author: Anthony Emengo and Sai To Yeung <pair+aemengo+syeung@pivotal.io>
Date:   Fri Feb 27 12:27:11 2015 -0500

    Do not use 'all' for cf_stacks
    
    [#88174336]

commit 21e8c152281fb1c2cdd6bf6a183ccf1ee4c3aa93
Author: Mike Dalessio <mike.dalessio@gmail.com>
Date:   Thu Feb 26 20:50:26 2015 -0500

    Testing Github → Tracker integration
    
    [#89253462]

commit e792d229888463a0ddaa820995f203432bb74fa2
Author: Anthony Emengo and Sai To Yeung <pair+aemengo+syeung@pivotal.io>
Date:   Thu Feb 26 17:22:05 2015 -0500

    Update compile-extensions to point to master

commit d3a5a92b0563a5fa1db5fb8d75712a2a12f4f3d3
Author: Anthony Emengo and Sai To Yeung <pair+aemengo+syeung@pivotal.io>
Date:   Thu Feb 26 10:43:35 2015 -0500

    Replace input to translate_dependency_url from url to version.
    
    - So no internet traffic is logged for offline environment with
    dependencies that are not present in the manifest
    
    [#89198726]

commit bbed630d97cdcd6385c3c8d07c967e0e82e882fc
Author: Colin Jackson and Rasheed Abdul-Aziz <pair+crawsible+squeedee@pivotal.io>
Date:   Wed Feb 25 18:02:10 2015 -0500

    bump compile extensions

commit 22633724e0066a9a1bf73c7ad93af6767943053f
Merge: 6c794c7 e024177
Author: Colin Jackson and Rasheed Abdul-Aziz <pair+crawsible+squeedee@pivotal.io>
Date:   Wed Feb 25 17:26:39 2015 -0500

    Merge branch 'master' of https://github.com/cloudfoundry/go-buildpack
    
    [#88174336]

commit 6c794c7aa6af0bc2e31dbc92e50cb0df64b36711
Author: Colin Jackson and Rasheed Abdul-Aziz <pair+crawsible+squeedee@pivotal.io>
Date:   Wed Feb 25 17:21:30 2015 -0500

    Update manifest.yml to support dependency-switching logic
    
    - compile extensions now points to rootfs-sensitive commit
    
    [#88174336]


v1.1.2 Feb 02, 2015
====================

* Update documentation for use in offline environments
  (https://www.pivotaltracker.com/story/show/86952360)

* Support version 1.4.1
* Default to version 1.4.1 if no version specified
  (https://www.pivotaltracker.com/story/show/86334724)

* Update buildpack-packager to v.2.0.0
  (https://www.pivotaltracker.com/story/show/84805200)

* Merged upstream changes
  * Remove use of GO_GIT_DESCRIBE_SYMBOL
  (https://github.com/cloudfoundry/go-buildpack/commits/d36476a80efb196676091c07acfe54e4443f974e3)

v1.1.1 Dec 16, 2014
====================

* Introduce versioned manifest.yml
  (https://www.pivotaltracker.com/story/show/84330748)

* Merged pull request
  (https://github.com/cloudfoundry/go-buildpack/commits/d4d37d93a2220fb7ee63a7252894afca308756a9)

* Merge upstream changes
  * use Go 1.4 when Godep is not present
    (https://github.com/kr/heroku-buildpack-go/commits/3a2cc0fa0e3f12f4920d9bec1f6744e4261d4c7f)

v1.1.0 Dec 09, 2014
====================

* Merge upstream changes
  (https://www.pivotaltracker.com/story/show/83960140)
  * Update Godep
    (https://github.com/kr/heroku-buildpack-go/commit/6ddc65c22aad89eb449dbbb903f31818fd9d0a1c)
  * GO_GIT_DESCRIBE_SYMBOL is no longer a special case
    (https://github.com/kr/heroku-buildpack-go/commit/abcb5af1c533e50c64de6ed95f8b413b71f457a0)
    (https://github.com/cloudfoundry/go-buildpack/commit/b3804c9b2ed7b5973c83b025ffac481b78a67bb8)

* Introduce new offline dependency packaging system
  (https://www.pivotaltracker.com/story/show/82513994)
  (https://www.pivotaltracker.com/story/show/83886038)

* Introduce new runtime dependency translation system
  (https://www.pivotaltracker.com/story/show/82513994)
  (https://www.pivotaltracker.com/story/show/83483872)
  (https://www.pivotaltracker.com/story/show/83504664)

* Update the README with Machete instructions
  (https://www.pivotaltracker.com/story/show/82692644)

v1.0.4 Oct 06, 2014
====================

* Added support for golang 1.3.(1,2,3) for offline buildpacks.
  (https://www.pivotaltracker.com/story/show/79993432)
  (https://github.com/cloudfoundry/go-buildpack/pull/8)

v1.0.3 Sep 30, 2014
====================

Resolve broken buildpack version output.
  (https://www.pivotaltracker.com/story/show/79781536)
  (https://www.pivotaltracker.com/n/projects/966314/stories/79702506)


v1.0.2 Sep 24, 2014
====================

* Update buildpack-packager
  (https://www.pivotaltracker.com/story/show/78505368)
  (https://www.pivotaltracker.com/story/show/79126294)
  (https://www.pivotaltracker.com/story/show/77627098)
  (https://www.pivotaltracker.com/story/show/75617248)

* No longer compile python
  (https://www.pivotaltracker.com/story/show/74540660)

* Merge upstream changes
  * idempotent symlink
  * Update virtualenv
  * Export cgo flags for build if present in user's app config
  * Go 1.3

v1.0.1 Jul 21, 2014
====================

* Added support for Go 1.2.2 and 1.3 for offline buildpack

* Update the Go buildpack readme for CF usage
  (https://www.pivotaltracker.com/story/show/72806138)

* Switch to new Cloud Foundry offline dependency framework
  (https://www.pivotaltracker.com/story/show/73384096)

* Use Ruby 2.1.1

v1.0.0 Jangelog (see section on Changelogs)
git add .
git commit -m "Bump version to `cat VERSION`"
git pushn 17, 2014
===================

* Modify [KRs Go buildpack](https://github.com/kr/heroku-buildpack-go) to
  support offline mode.
